﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace tree
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// 
    

    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Window1 n = new Window1();
            n.Show();
            n.Topmost = true;

        }

    }
    public class DataUtil
    {
        private static ObservableCollection<Product> products;
        public class Product : INotifyPropertyChanged
        {
            public event PropertyChangedEventHandler PropertyChanged;

            protected virtual void OnPropertyChanged(string propertyName)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
                }
            }

            private int productID;
            private string productName;
            private ObservableCollection<Product> products;


            public int ProductID
            {
                get
                {
                    return this.productID;
                }
                set
                {
                    if (this.productID != value)
                    {
                        this.productID = value;
                        OnPropertyChanged("ProductID");
                    }
                }
            }

            public string ProductName
            {
                get
                {
                    return this.productName;
                }
                set
                {
                    if (this.productName != value)
                    {
                        this.productName = value;
                        OnPropertyChanged("ProductName");
                    }
                }
            }

            public ObservableCollection<Product> Products
            {
                get
                {
                    if (products == null)
                    {
                        products = new ObservableCollection<Product>();
                    }

                    return this.products;
                }
            }
        }

        private static ObservableCollection<Product> CreateProducts()
        {
            return new ObservableCollection<Product>
            {
                new Product
                {
                    ProductID = 1,
                    ProductName = "Chai",
                    
                },

                new Product
                {
                    ProductID = 2,
                    ProductName = "Chang",
                    
                },

                new Product
                {
                    ProductID = 24,
                    ProductName = "Guaraná Fantástica",
                    
                },

                new Product
                {
                    ProductID = 77,
                    ProductName = "Original Frankfurter grüne Soße",
                   
                },

                new Product
                {
                    ProductID = 61,
                    ProductName = "Sirop d'érable",
                },

                new Product
                {
                    ProductID = 63,
                    ProductName = "Vegie-spread",
                },

                new Product
                {
                    ProductID = 16,
                    ProductName = "Pavlova",
                },

                new Product
                {
                    ProductID = 19,
                    ProductName = "Teatime Chocolate Biscuits",
                    
                },

                new Product
                {
                    ProductID = 20,
                    ProductName = "Sir Rodney's Marmalade",
                    
                },

                new Product
                {
                    ProductID = 69,
                    ProductName = "Gudbrandsdalsost",
                    
                },

                new Product
                {
                    ProductID = 71,
                    ProductName = "Flotemysost",
                   
                },

                new Product
                {
                    ProductID = 72,
                    ProductName = "Mozzarella di Giovanni",
                   
                },
                new Product
                {
                    ProductID = 22,
                    ProductName = "Gustaf's Knäckebröd",
                  
                },

                new Product
                {
                    ProductID = 23,
                    ProductName = "Tunnbröd",

                },

                new Product
                {
                    ProductID = 53,
                    ProductName = "Perth Pasties",
                },

                new Product
                {
                    ProductID = 54,
                    ProductName = "Tourtière",
                },

                new Product
                {
                    ProductID = 55,
                    ProductName = "Pâté chinois",
                 },

                new Product
                {
                    ProductID = 28,
                    ProductName = "Rössle Sauerkraut",
                },

                new Product
                {
                    ProductID = 7,
                    ProductName = "Uncle Bob's Organic Dried Pears",
                },

                new Product
                {
                    ProductID = 14,
                    ProductName = "Tofu",
                },

                new Product
                {
                    ProductID = 45,
                    ProductName = "Rogede sild",
                    
                },

                new Product
                {
                    ProductID = 46,
                    ProductName = "Spegesild",
                    
                },

                new Product
                {
                    ProductID = 58,
                    ProductName = "Escargots de Bourgogne",
                    
                }
            };
        }


        private static ObservableCollection<Product> CreateProductsList()
        {

            ObservableCollection<Product> innerProducts = CreateProducts();
            ObservableCollection<Product> outerProducts = CreateProducts();

            foreach (Product p in outerProducts)
            {
                foreach (Product innerP in innerProducts)
                {
                    if (innerProducts.IndexOf(innerP) <= 6)
                        p.Products.Add(innerP);
                    else
                        break;
                }
            }

            return outerProducts;
        }

        public static ObservableCollection<Product> GetProducts
        {
            get
            {
                if (products == null)
                    products = CreateProductsList();

                return products;
            }
        }
    }
}
